Skip to main content
GET
/
v1
/
invoices
/
accounts
Get all invoice accounts
curl --request GET \
  --url https://dev.flextell.ai/api/v1/invoices/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "data": [
    {
      "id": 123,
      "integration_id": 123,
      "party_type": "<string>",
      "party_type_label": "<string>",
      "document_type": "<string>",
      "document_type_label": "<string>",
      "name": "<string>",
      "surname": "<string>",
      "title": "<string>",
      "tax_number": "<string>",
      "default_series": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

search
string | null

The search query.

Maximum string length: 255
document_type
enum<string> | null

Filter by document type.

Available options:
einvoice,
evoucher
party_type
enum<string> | null

Filter by party type.

Available options:
individual,
company
integration_id
integer | null

Filter by integration ID.

Required range: x >= 1
sort_by
enum<string> | null

The field to sort by.

Available options:
created_at,
name,
tax_number,
default_series
sort_order
enum<string> | null

The sort direction (asc or desc).

Available options:
asc,
desc
per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100

Response

Array of InvoiceAccountResource

data
InvoiceAccountResource · object[]
required